using Newtonsoft.Json;

namespace WeatherDashboard
{
    [JsonConverter(typeof(JsonPathConverter))]
    public class Forecast
    {
        [JsonProperty("last_updated")]
        public DateTime? LastUpdated { get; set; }

        [JsonProperty("time")]
        public DateTime? Time { get; set; }

        [JsonProperty("temp_f")]
        public decimal Temperature { get; set; }

        [JsonProperty("feelslike_f")]
        public decimal FeelsLike { get; set; }

        [JsonProperty("humidity")]
        public decimal Humidity { get; set; }

        [JsonProperty("wind_mph")]
        public decimal WindSpeed { get; set; }

        [JsonProperty("wind_dir")]
        public string WindDirection { get; set; }

        [JsonProperty("condition.text")]
        public string ConditionName { get; set; }
    }
}